<template>
    <Page loaded="onLoaded" actionBarHidden="true">
        <DockLayout stretchLastChild="true">
            <FlexboxLayout dock="left" width="66" flexDirection="column" justifyContent="space-between" backgroundColor="#3c495e">
                <StackLayout>
                    <Label flexGrow="1" class="fa" text.decode="&#xf015;" textWrap="true" />
                    <Label flexGrow="1" class="fa" text.decode="&#xf080;" textWrap="true" />
                    <Label flexGrow="1" class="fa" text.decode="&#xf0b1;" textWrap="true" />
                    <Label flexGrow="1" class="fa" text.decode="&#xf06d;" textWrap="true" />
                </StackLayout>
                <StackLayout>
                    <Label text="5" heigth="53" height="53" textWrap="true" />
                    <Label text="5" heigth="53" textWrap="true" />
                </StackLayout>
            </FlexboxLayout>
            <StackLayout>
                <DockLayout stretchLastChild="true">
                    <StackLayout class="bg-shadow" dock="top" height="70">
                        <Label text="I am on top!"/>
                    </StackLayout>
                    <Label text="Hallo!" textWrap="true" />
                </DockLayout>
            </StackLayout>
        </DockLayout>
    </Page>
</template>

<script>
export default {

}
</script>

<style>
    .fa {
        text-align: center;
        font-size: 20rem;
        padding: 15rem 0 15rem;
        color: #a5a4bf;
    }
    .bg-shadow {
        box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.04);
    }
</style>
